Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AFPResourceLevel

    java.lang.Object
      org.apache.fop.afp.AFPResourceLevel

    public class AFPResourceLevel

extends java.lang.Object

A resource level

Field Summary
`static int` | `DOCUMENT` document level
`static int` | `EXTERNAL` external level
`static int` | `INLINE` directly in page
`static int` | `PAGE` page level
`static int` | `PAGE_GROUP` page group level
`static int` | `PRINT_FILE` print file level

Constructor Summary
`AFPResourceLevel(int level)` Main constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getExternalFilePath()` Returns the destination file path of the external resource group file
`int` | `hashCode()`
`boolean` | `isDocument()` Returns true if this is at document level
`boolean` | `isExternal()` Returns true if this is at external level
`boolean` | `isInline()` Returns true if this resource level is inline
`boolean` | `isPage()` Returns true if this is at page level
`boolean` | `isPageGroup()` Returns true if this is at page group level
`boolean` | `isPrintFile()` Returns true if this is at print-file level
`void` | `setExternalFilePath(java.lang.String filePath)` Sets the external destination of the resource
`void` | `setLevel(int level)` Sets the resource level
`java.lang.String` | `toString()`
`static AFPResourceLevel` | `valueOf(java.lang.String levelString)` Sets the resource placement level within the AFP output

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INLINE

    public static final int INLINE

  directly in page

  See Also:
    Constant Field Values

### PAGE

    public static final int PAGE

  page level

  See Also:
    Constant Field Values

### PAGE_GROUP

    public static final int PAGE_GROUP

  page group level

  See Also:
    Constant Field Values

### DOCUMENT

    public static final int DOCUMENT

  document level

  See Also:
    Constant Field Values

### PRINT_FILE

    public static final int PRINT_FILE

  print file level

  See Also:
    Constant Field Values

### EXTERNAL

    public static final int EXTERNAL

  external level

  See Also:
    Constant Field Values

Constructor Detail

### AFPResourceLevel

    public AFPResourceLevel(int level)

  Main constructor

  Parameters:
    `level` - the resource level

Method Detail

### valueOf

    public static AFPResourceLevel valueOf(java.lang.String levelString)

  Sets the resource placement level within the AFP output

  Parameters:
    `levelString` - the resource level (page, page-group, document, print-file or external)
  Returns:
    true if the resource level was successfully set

### setLevel

    public void setLevel(int level)

  Sets the resource level

  Parameters:
    `level` - the resource level

### isPage

    public boolean isPage()

  Returns true if this is at page level

  Returns:
    true if this is at page level

### isPageGroup

    public boolean isPageGroup()

  Returns true if this is at page group level

  Returns:
    true if this is at page group level

### isDocument

    public boolean isDocument()

  Returns true if this is at document level

  Returns:
    true if this is at document level

### isExternal

    public boolean isExternal()

  Returns true if this is at external level

  Returns:
    true if this is at external level

### isPrintFile

    public boolean isPrintFile()

  Returns true if this is at print-file level

  Returns:
    true if this is at print-file level

### isInline

    public boolean isInline()

  Returns true if this resource level is inline

  Returns:
    true if this resource level is inline

### getExternalFilePath

    public java.lang.String getExternalFilePath()

  Returns the destination file path of the external resource group file

  Returns:
    the destination file path of the external resource group file

### setExternalFilePath

    public void setExternalFilePath(java.lang.String filePath)

  Sets the external destination of the resource

  Parameters:
    `filePath` - the external resource group file

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.